* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

.container {
  display: grid;
  place-items: center;

  width: 100%;
  height: 100vh;
}

.wrapper {
  position: relative;
  width: 100rem ;/*1000px = 62.5rem;*/
  height: 80rem; /*800px = 50rem;*/

  border-radius: 5rem;
  box-shadow: 2rem 2rem 6rem #888;
  background-color: #1f5050;
  overflow: hidden;
}

.wrapper div {
  position: absolute;
}

.stick {
  bottom: 0;
  width: 3rem; /*30px*/
  height: 40rem; /*400px*/
  
  border-radius: 1rem 1rem 0 0;
  background-color: coral;
  transform-origin: bottom center;
}

.left-stick {
  left: 15rem;
  box-shadow: 0.2rem 0 0.5rem green;
  animation: leftStickAnim 2s infinite linear;
}
@keyframes leftStickAnim {
  0%,
  30% {
    transform: rotatez(0);
  }

  50%,
  65% {
    transform: rotatez(2deg);
  }

  80%,
  100% {
    transform: rotatez(0);
  }
}
.right-stick {
  right: 15rem;
  box-shadow: -0.2rem 0 0.5rem green;
  animation: rightStickAnim 2s infinite linear;

}
@keyframes rightStickAnim {
  0%,
  30% {
    transform: rotatez(0);
  }

  50%,
  65% {
    transform: rotatez(-2deg);
  }

  80%,
  100% {
    transform: rotatez(0);
  }
}

.rubber {
  bottom: 24rem;
  left: 16.5rem;
  width: 67rem;
  height: 50rem;

  border-bottom: 1rem solid coral;
  box-shadow: 0 1rem 0 #ddd;
  /* background-color: red; */
  animation: rubberAnim 2s infinite linear;
}

@keyframes rubberAnim {
  0%,
  20% {
    border-radius: 0;
    transform: translateY(0);
  }

  50%,
  60% {
    border-radius: 0 0 35rem 35rem;
    transform: translateY(23rem);
  }

  65%,
  100% {
    border-radius: 0;
    transform: translateY(0);
  }
}

.square{
  left: 44rem;
  width: 14rem;
  aspect-ratio: 1;

  border-radius: 2rem;
  box-shadow: 0 0 0.2rem #555;
  background-color: #fff;
  animation: squareAnim 2s infinite linear;
}

@keyframes squareAnim {
  0% {
    transform: translateY(5rem);
  }
  20% {
    transform: translateY(40rem);
  }

  50%,
  60% {
    transform: translateY(64.5rem);
  }
  62% {
    transform: translateY(45rem);
  }
  80% {
    transform: translateY(10rem) rotateZ(90deg);
  }
  100% {
    transform: translateY(5rem) rotateZ(360deg);
  }
}

